Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core.sqlnode
Interface SqlNode

All Superinterfaces:
  Annotations, org.openjena.atlas.io.Printable

All Known Implementing Classes:
  SqlCoalesce, SqlJoin, SqlJoinInner, SqlJoinLeftOuter, SqlNodeBase, SqlNodeBase0, SqlNodeBase1, SqlNodeBase2, SqlProject, SqlRestrict, SqlSelectBlock, SqlSlice, SqlTable, SqlUnion

    public interface SqlNode

extends org.openjena.atlas.io.Printable, Annotations

Method Summary
`SqlCoalesce` | `asCoalesce()`
`com.hp.hpl.jena.sdb.core.sqlnode.SqlDistinct` | `asDistinct()`
`SqlJoinInner` | `asInnerJoin()`
`SqlJoin` | `asJoin()`
`SqlJoinLeftOuter` | `asLeftJoin()`
`SqlProject` | `asProject()`
`SqlRestrict` | `asRestrict()`
`SqlSelectBlock` | `asSelectBlock()`
`SqlTable` | `asTable()`
`String` | `getAliasName()`
`Scope` | `getIdScope()`
`Scope` | `getNodeScope()`
`boolean` | `isCoalesce()`
`boolean` | `isDistinct()`
`boolean` | `isInnerJoin()`
`boolean` | `isJoin()`
`boolean` | `isLeftJoin()`
`boolean` | `isProject()`
`boolean` | `isRestrict()`
`boolean` | `isSelectBlock()`
`boolean` | `isTable()`
`Set<SqlTable>` | `tablesInvolved()`
`void` | `visit(SqlNodeVisitor visitor)`

Methods inherited from interface org.openjena.atlas.io.Printable
`output`

Methods inherited from interface com.hp.hpl.jena.sdb.core.Annotations
`addNote, addNotes, getNotes, hasNotes, hasOneNote`

Method Detail

### getAliasName

    String getAliasName()

### isJoin

    boolean isJoin()

### isInnerJoin

    boolean isInnerJoin()

### isLeftJoin

    boolean isLeftJoin()

### asJoin

    SqlJoin asJoin()

### asLeftJoin

    SqlJoinLeftOuter asLeftJoin()

### asInnerJoin

    SqlJoinInner asInnerJoin()

### isCoalesce

    boolean isCoalesce()

### asCoalesce

    SqlCoalesce asCoalesce()

### isRestrict

    boolean isRestrict()

### asRestrict

    SqlRestrict asRestrict()

### isProject

    boolean isProject()

### asProject

    SqlProject asProject()

### isDistinct

    boolean isDistinct()

### asDistinct

    com.hp.hpl.jena.sdb.core.sqlnode.SqlDistinct asDistinct()

### isTable

    boolean isTable()

### asTable

    SqlTable asTable()

### isSelectBlock

    boolean isSelectBlock()

### asSelectBlock

    SqlSelectBlock asSelectBlock()

### getIdScope

    Scope getIdScope()

### getNodeScope

    Scope getNodeScope()

### tablesInvolved

    Set<SqlTable> tablesInvolved()

### visit

    void visit(SqlNodeVisitor visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.